#ifndef KROSSDECLARATION_H
#define KROSSDECLARATION_H

#include<QtCore/QVariant>

//This is file has been generated by xmltokross, you should not edit this file but the files used to generate it.

namespace KDevelop { class IndexedDeclaration; }
namespace KDevelop { class LocalIndexedDeclaration; }
namespace KDevelop { class Declaration; }
namespace Handlers
{
	QVariant _kDevelopDeclarationHandler(void* type);
	QVariant kDevelopDeclarationHandler(KDevelop::Declaration* type);
	QVariant kDevelopDeclarationHandler(const KDevelop::Declaration* type);

	QVariant _kDevelopLocalIndexedDeclarationHandler(void* type);
	QVariant kDevelopLocalIndexedDeclarationHandler(KDevelop::LocalIndexedDeclaration* type);
	QVariant kDevelopLocalIndexedDeclarationHandler(const KDevelop::LocalIndexedDeclaration* type);

	QVariant _kDevelopIndexedDeclarationHandler(void* type);
	QVariant kDevelopIndexedDeclarationHandler(KDevelop::IndexedDeclaration* type);
	QVariant kDevelopIndexedDeclarationHandler(const KDevelop::IndexedDeclaration* type);

}

#endif
